package com.jesuspinar.webserver;

import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.ui.Model;

import java.time.LocalDateTime;
import java.time.format.DateTimeFormatter;

@Controller
public class Manager {
    @GetMapping({"/", "", "/index"})
    public String welcome(Model model){
        model.addAttribute("mesage", "Hello");
        return "index";
    }

    @GetMapping("/hour")
    public String hour(Model model){
        DateTimeFormatter dtf = DateTimeFormatter.ofPattern("dd/MM/yyyy HH:mm:ss");
        model.addAttribute("dateTime", dtf.format(LocalDateTime.now()));
//        model.addAttribute("bg", "dark");
        return "time";
    }
}
